# BigQuery Tables

Organized by Project ID. Links are in the form `project_id.dataset_id.table_id`.

[TOC]

## sheriff-o-matic[-staging]

*   [sheriff-o-matic-staging.events.alerts](https://bigquery.cloud.google.com/table/sheriff-o-matic-staging:events.alerts):
    contains alerts generated by sheriff-o-matic-staging analyzer cron jobs.
    [Proto: som.events.SOMAlertsEvent](https://chromium.googlesource.com/infra/infra/+/master/go/src/infra/appengine/sheriff-o-matic/som/model/gen/events.proto)
*   [sheriff-o-matic-staging.events.annotations](https://bigquery.cloud.google.com/table/sheriff-o-matic-staging:events.annotations):
    contains one row for each user-generated annotation event on sheriff-o-matic-staging. These include alert actions like snoozing, grouping or commenting.
    [Proto: som.events.SOMAnnotationEvent](https://chromium.googlesource.com/infra/infra/+/master/go/src/infra/appengine/sheriff-o-matic/som/model/gen/events.proto)
*   [sheriff-o-matic.events.alerts](https://bigquery.cloud.google.com/table/sheriff-o-matic:events.alerts):
    contains alerts generated by sheriff-o-matic analyzer cron jobs.
    [Proto: som.events.SOMAlertsEvent](https://chromium.googlesource.com/infra/infra/+/master/go/src/infra/appengine/sheriff-o-matic/som/model/gen/events.proto)
*   [sheriff-o-matic.events.annotations](https://bigquery.cloud.google.com/table/sheriff-o-matic:events.annotations):
    contains one row for each user-generated annotation event. These include alert actions like snoozing, grouping or commenting.
    [Proto: som.events.SOMAnnotationEvent](https://chromium.googlesource.com/infra/infra/+/master/go/src/infra/appengine/sheriff-o-matic/som/model/gen/events.proto)

## test-results-hrd

*   [test-results-hrd.events.test_results](https://bigquery.cloud.google.com/table/test-results-hrd:events.test_results):
    contains one row for each test run collected by the test-results server. Includes test names, expected/actual results,
    chromium revision etc.
    [Proto: testresults.event.TestResultEvent](https://chromium.googlesource.com/infra/infra/+/master/go/src/infra/appengine/test-results/model/gen/testresults.proto)
*   [test-results-test-hrd.events.test_results](https://bigquery.cloud.google.com/table/test-results-test-hrd:events.test_results):
    contains one row for each test run collected by the test-results staging server. Includes test names, expected/actual results,
    chromium revision etc.
    [Proto: testresults.event.TestResultEvent](https://chromium.googlesource.com/infra/infra/+/master/go/src/infra/appengine/test-results/model/gen/testresults.proto)


## tricium-prod

All Tricium server instances have:

*   [analyzer.results](https://bigquery.cloud.google.com/table/tricium-prod:analyzer.results):
    contains results for each run (i.e. each AnalyzeRequest).
    [Proto: AnalysisRun](https://chromium.googlesource.com/infra/infra/+/HEAD/go/src/infra/tricium/api/bigquery/analyzer_results.proto)
*   [events.feedback](https://bigquery.cloud.google.com/table/tricium-prod:events.feedback):
    contains rows for commenting and "not useful" reporting events.
    [Proto:
    FeedbackEvent](https://chromium.googlesource.com/infra/infra/+/HEAD/go/src/infra/tricium/api/bigquery/event.proto)


## commit-queue

The project "commit-queue" has these tables for CQ data:

*   [raw.attempts](https://bigquery.cloud.google.com/table/commit-queue:raw.attempts):
    contains results for CQ attempts.
    [Proto: Attempt](https://source.chromium.org/chromium/infra/infra/+/master:go/src/go.chromium.org/luci/cq/api/bigquery/attempt.proto)
